Subject: Re: [PATCH] remote-curl: don't hang when a server dies before any output

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Nov 2016 17:02:27 -0800

Jeff King <[email-masked]> writes:

> Actually, I take it back. I think it works for a single round of ref
> negotiation, but not for multiple. Enabling GIT_TEST_LONG=1 causes it to
> fail t5551.
>
> I think I've probably made a mis-assumption on exactly when in the HTTP
> protocol we will see a flush packet (and perhaps that is a sign that
> this protocol-snooping approach is not a good one).

Hmph.  I think I tried David's original under GIT_TEST_LONG and saw
it got stuck; could be the same issue, I guess.